Page MenuHomePhabricator

"google-api-proxy" Cloud VPS project jessie deprecation (medium)
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the google-api-proxy project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Dec 31 2019, 11:59 PM

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:32 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:32 AM
MusikAnimal added a subscriber: Krenair.

I've merged T233740 here because this one is much more descriptive (thanks StrikerBot :). Copying over bd808's reply, for reference:

In T233740#5524436, bd808 wrote:

MusikAnimal There is a bit of documentation at https://wikitech.wikimedia.org/wiki/Nova_Resource:Google-api-proxy. There is a puppet role that does the setup of a proxy instance.

If I was going to be the person doing this work I think I would:

  1. Request temporary +1 IP Address quota for the project
  2. Provision a new m1.small instance with Buster as the base image
  3. Attach a public IP to the instance
  4. Apply role::labs::google_api_proxy on that node along with needed Hiera settings
  5. Add the new public IP to the Google account configuration
  6. Verify that the nginx reverse proxy works via curl from the new instance directly
  7. Delete and recreate the https proxies so that they point to the new instance
  8. Verify that the nginx reverse proxy works via the proxy hostnames
  9. Release the public IP from the old instance
  10. Delete the old instance
  11. Release the temporary +1 IP quota bump
  12. Profit!!
MaxSem changed the edit policy from "Custom Policy" to "All Users".Oct 29 2019, 11:23 PM
aezell renamed this task from "google-api-proxy" Cloud VPS project jessie deprecation to "google-api-proxy" Cloud VPS project jessie deprecation (medium).Oct 29 2019, 11:23 PM
aezell changed the edit policy from "All Users" to "Custom Policy".
aezell changed the edit policy from "Custom Policy" to "All Users".Oct 29 2019, 11:24 PM
bd808 added a comment.Dec 4 2019, 6:06 PM

The Cloud Services team would like to have Debian Jessie systems replaced with Debian Buster (or Stretch if necessary) before 2019-12-31. Please do respond of this task with comments if you know you will not be able to meet that target date or have additional questions about what to do or how to do it. Ideally you will create new instances in your Cloud VPS project, test them, and then migrate any final state data to the new instances before deleting the old Jessie instances. If you need more quota space in your project to create new instances in parallel with your existing instances please create a quota request task describing the increase you need and referencing this deprecation task.

MusikAnimal closed this task as Resolved.Dec 12 2019, 8:10 PM

All done! The old instance was deleted entirely. Thank you @bd808 for the detailed instructions. I learned a lot from this!

I'm going to go ahead and mark as resolved since there's nothing to test or review.